# The gradient of a scalar field

Considering a scalar field $f: \mathbb{R}^3 \to \mathbb{R}$, if the field is continuously differentiable we have

$$
    df(\mathbf{x}) = \partial_i f(\mathbf{x}) dx_i,
$$

for all $x \in \mathbb{R}^4$ and $i \in \{1,2,3\}$. We may rewrite this in terms of a displacement vector $d\mathbf{x} = \mathbf{a}_i dx^i$ into

$$
\begin{align*}
    df &= \partial_i f(\mathbf{x}) \delta^i_j dx^j, \\
       &= \partial_i f(\mathbf{x}) \langle \mathbf{a}^i, \mathbf{a}_j \rangle dx^j, \\
       &=  \partial_i f(\mathbf{x})\langle \mathbf{a}^i, d\mathbf{x} \rangle.
\end{align*}
$$

> *Definition*: the gradient of a scalar field $f: \mathbb{R}^3 \to \mathbb{R}$ for a curvilinear coordinate system is defined as
>
> $$
>   \nabla f(\mathbf{x}) := \partial_i f(\mathbf{x}) \mathbf{a}^i,
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$. 

Note that in the differentation section of multivariable calculus the definition of the gradient explicitly for Cartesian coordinate systems was given. This definition is rather general for all coordinate systems, although is limited to only 3 dimensions. 

> *Proposition*: let $f: \mathbb{R}^3 \to \mathbb{R}$ be a scalar field, the gradient of $f$ points in the direction for which $f$ has the greatest increase. 

??? note "*Proof*:"

    Will be added later.

The following definition introduces the material derivative, it may appear to be a little unorthodox.

> *Definition*: let $f: \mathbb{R}^4 \to \mathbb{R}$ be a scalar field and $\mathbf{x}: \mathbb{R} \to \mathbb{R}^3$ a vector field. The material derivative of $f$ is defined as
>
> $$
>   f'(\mathbf{x}(t), t) := \big\langle \nabla f(\mathbf{x}, t), \mathbf{x}'(t) \big\rangle + \partial_t f(\mathbf{x}, t),
> $$
>
> for all $t \in \mathbb{R}$. Note that the gradient in the scalar product is only taken for $\mathbf{x}$. 

The following definition introduces the directional derivative.

> *Definition*: let $f: \mathbb{R}^3 \to \mathbb{R}$ be a scalar field and $\mathbf{v} \in \mathbb{R}^3$ a normalised vector such that $\|\mathbf{v}\| = 1$. The directional derivative of $f$ in the direction of $\mathbf{v}$ is defined as
>
> $$
>   D_{\mathbf{v}} f(\mathbf{x}) := \big\langle \mathbf{v}, \nabla f(\mathbf{x}) \big\rangle,
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$. 

Consider a vector field $\mathbf{u}: \mathbb{R}^3 \to \mathbb{R}^3$, the integral of $\mathbf{u}$ along a curve $C \subset \mathbb{R}^3$ is given by

$$
    \int_C \big\langle \mathbf{u}(\mathbf{x}), d\mathbf{x} \big\rangle.
$$

> *Theorem*: let $f: \mathbb{R}^3 \to \mathbb{R}$ be a scalar field and consider a curve $C \subset \mathbb{R}^3$ then we have
>
> $$
>   \int_C \big\langle \nabla f(\mathbf{x}), d\mathbf{x} \big\rangle = \big[f(\mathbf{x}) \big]_C.
> $$

??? note "*Proof*:"

    Will be added later.