# The equations of Lagrange

## Principle of virtual work

> *Definition 1*: a virtual displacement is a displacement at a fixed moment in time that is consistent with the constraints at that moment.

The following principle addresses the problem that the constraint forces are generally unknown.

> *Principle 1*: let $\mathbf{\delta x}_i \in \mathbb{R}^m$ be a virtual displacement and let $\mathbf{F}_i: \mathbf{q} \mapsto \mathbf{F}_i(\mathbf{q})$ be the total force excluding the constraint forces. Then 
>
> $$
>   \sum_{i=1}^n \Big\langle \mathbf{F}_i(\mathbf{q}) - m_i \mathbf{x}_i''(\mathbf{q}), \mathbf{\delta x}_i \Big\rangle = 0,
> $$
>
> is true for sklerenomic constraints and all $t \in \mathbb{R}$.

Which implies that the constraint forces do not do any (net) virtual work.

## The equations of Lagrange

> *Theorem 1*: let $T: (\mathbf{q}, \mathbf{q}') \mapsto T(\mathbf{q}, \mathbf{q'})$ be the kinetic energy of the system. For holonomic constraints we have that
>
> $$
>   d_t \Big(\partial_{q_j'} T(\mathbf{q},\mathbf{q}') \Big) - \partial_{q_j} T(\mathbf{q},\mathbf{q}') = Q_j(\mathbf{q}), 
> $$
>
> for all $t \in \mathbb{R}$. With $Q_j: \mathbf{q} \mapsto Q_j(\mathbf{q})$ the generalized forces of type I given by
>
> $$
>   Q_j(\mathbf{q}) = \sum_{i=1}^n \Big\langle \mathbf{F}_i(\mathbf{q}), \partial_j \mathbf{x}_i(\mathbf{q}) \Big\rangle,
> $$
>
> for all $t \in \mathbb{R}$ with $\mathbf{F}_i: \mathbf{q} \mapsto \mathbf{F}_i(\mathbf{q})$ the total force excluding the constraint forces. 

??? note "*Proof*:"

    Will be added later.

Obtaining the equations of Lagrange. Note that the position of each point mass $\mathbf{x}_i$ is defined in the [Lagrangian formalism](lagrangian-formalism.md#generalizations). 

### Conservative systems

For conservative systems we may express the force $\mathbf{F}_i: \mathbf{q} \mapsto \mathbf{F}_i(\mathbf{q})$ in terms of a potential energy $V: X \mapsto V(X)$ by

$$
    \mathbf{F}_i(\mathbf{q}) = -\nabla_i V(X),
$$

for $X: \mathbf{q} \mapsto X(\mathbf{q}) \overset{\mathrm{def}}= \{\mathbf{x}_i(\mathbf{q})\}_{i=1}^n$. 

> *Lemma 1*: for a conservative holonomic system the generalized forces of type I $Q_j: \mathbf{q} \mapsto Q_j(\mathbf{q})$ may be expressed in terms of the potential energy $V: \mathbf{q} \mapsto V(\mathbf{q})$ by
>
> $$
>   Q_j(\mathbf{q}) = -\partial_{q_j} V(\mathbf{q}),
> $$
>
> for all $t \in \mathbb{R}$. 

??? note "*Proof*:"

    Will be added later.

The equation of Lagrange may now be rewritten, which obtains the following lemma.

> *Lemma 2*: let $T: (\mathbf{q}, \mathbf{q}') \mapsto T(\mathbf{q}, \mathbf{q'})$ and $V: \mathbf{q} \mapsto V(\mathbf{q})$ be the kinetic and potential energy of the system. The Lagrange equations for conservative systems are given by
>
> $$
>   d_t \Big(\partial_{q_j'} T(\mathbf{q},\mathbf{q}')\Big) - \partial_{q_j}T(\mathbf{q},\mathbf{q}') = - \partial_{q_j} V(\mathbf{q}),
> $$
>
> for all $t \in \mathbb{R}$

??? note "*Proof*:"

    Will be added later.

> *Definition 2*: let $T: (\mathbf{q}, \mathbf{q}') \mapsto T(\mathbf{q}, \mathbf{q'})$ and $V: \mathbf{q} \mapsto V(\mathbf{q})$ be the kinetic and potential energy of the system. The Lagrangian $\mathcal{L}: (\mathbf{q}, \mathbf{q'}) \mapsto \mathcal{L}(\mathbf{q}, \mathbf{q'})$ is defined as
>
> $$
>   \mathcal{L}(\mathbf{q}, \mathbf{q'}) = T(\mathbf{q},\mathbf{q}') - V(\mathbf{q}),
> $$
>
> for all $t \in \mathbb{R}$.

With this definition we may write the Lagrange equations in a more formal way.

> *Theorem 2*: let $\mathcal{L}: (\mathbf{q}, \mathbf{q'}) \mapsto \mathcal{L}(\mathbf{q}, \mathbf{q'})$ be the Lagrangian, the equations of Lagrange for conservative holonomic systems are given by
>
> $$
>   d_t \Big(\partial_{q_j'} \mathcal{L}(\mathbf{q}, \mathbf{q'}) \Big) - \partial_{q_j} \mathcal{L}(\mathbf{q}, \mathbf{q'}) = 0,
> $$
>
> for all $t \in \mathbb{R}$. 

??? note "*Proof*:"

    Will be added later.